Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptprogram
Class RootView

    java.lang.Object
      org.jdesktop.application.AbstractBean
          org.jdesktop.application.View
              org.jdesktop.application.FrameView
                  cryptprogram.RootView

    public class RootView

extends org.jdesktop.application.FrameView

The application's main frame.

Field Summary
`private javax.swing.JDialog` | `aboutBox`
`private BlockSizeSetting` | `block`
`int` | `blockSize`
`private int` | `busyIconIndex`
`private javax.swing.Icon[]` | `busyIcons`
`private javax.swing.Timer` | `busyIconTimer`
`private javax.swing.ButtonGroup` | `buttonGroup1`
`private javax.swing.ButtonGroup` | `buttonGroup2`
`private javax.swing.ButtonGroup` | `buttonGroup3`
`java.lang.String` | `directory`
`java.io.File` | `file`
`java.io.File` | `file2`
`private javax.swing.Icon` | `idleIcon`
`private javax.swing.JButton` | `jButton1`
`private javax.swing.JButton` | `jButton2`
`private javax.swing.JButton` | `jButton5`
`private javax.swing.JComboBox` | `jComboBox1`
`private javax.swing.JComboBox` | `jComboBox2`
`private javax.swing.JComboBox` | `jComboBox3`
`private javax.swing.JComboBox` | `jComboBox4`
`private javax.swing.JComboBox` | `jComboBox5`
`private javax.swing.JComboBox` | `jComboBox7`
`private javax.swing.JCheckBox` | `jCheckBox1`
`private javax.swing.JCheckBox` | `jCheckBox10`
`private javax.swing.JCheckBox` | `jCheckBox12`
`private javax.swing.JCheckBox` | `jCheckBox2`
`private javax.swing.JCheckBox` | `jCheckBox3`
`private javax.swing.JCheckBox` | `jCheckBox4`
`private javax.swing.JCheckBox` | `jCheckBox6`
`private javax.swing.JCheckBox` | `jCheckBox7`
`private javax.swing.JCheckBox` | `jCheckBox8`
`private javax.swing.JCheckBox` | `jCheckBox9`
`private javax.swing.JLabel` | `jLabel1`
`private javax.swing.JLabel` | `jLabel10`
`private javax.swing.JLabel` | `jLabel11`
`private javax.swing.JLabel` | `jLabel15`
`private javax.swing.JLabel` | `jLabel16`
`private javax.swing.JLabel` | `jLabel2`
`private javax.swing.JLabel` | `jLabel22`
`private javax.swing.JLabel` | `jLabel25`
`private javax.swing.JLabel` | `jLabel28`
`private javax.swing.JLabel` | `jLabel3`
`private javax.swing.JLabel` | `jLabel34`
`private javax.swing.JLabel` | `jLabel37`
`private javax.swing.JLabel` | `jLabel4`
`private javax.swing.JLabel` | `jLabel5`
`private javax.swing.JLabel` | `jLabel6`
`private javax.swing.JLabel` | `jLabel7`
`private javax.swing.JLabel` | `jLabel8`
`private javax.swing.JLabel` | `jLabel9`
`private javax.swing.JMenuItem` | `jMenuItem1`
`private javax.swing.JMenuItem` | `jMenuItem2`
`private javax.swing.JPanel` | `jPanel1`
`private javax.swing.JPanel` | `jPanel10`
`private javax.swing.JPanel` | `jPanel15`
`private javax.swing.JPanel` | `jPanel16`
`private javax.swing.JPanel` | `jPanel17`
`private javax.swing.JPanel` | `jPanel19`
`private javax.swing.JPanel` | `jPanel2`
`private javax.swing.JPanel` | `jPanel20`
`private javax.swing.JPanel` | `jPanel3`
`private javax.swing.JPanel` | `jPanel4`
`private javax.swing.JPanel` | `jPanel5`
`private javax.swing.JPanel` | `jPanel6`
`private javax.swing.JPanel` | `jPanel7`
`private javax.swing.JPanel` | `jPanel8`
`private javax.swing.JPanel` | `jPanel9`
`private javax.swing.JRadioButton` | `jRadioButton1`
`private javax.swing.JRadioButton` | `jRadioButton10`
`private javax.swing.JRadioButton` | `jRadioButton2`
`private javax.swing.JRadioButton` | `jRadioButton3`
`private javax.swing.JRadioButton` | `jRadioButton4`
`private javax.swing.JRadioButton` | `jRadioButton5`
`private javax.swing.JRadioButton` | `jRadioButton9`
`private javax.swing.JScrollPane` | `jScrollPane1`
`private javax.swing.JScrollPane` | `jScrollPane2`
`private javax.swing.JScrollPane` | `jScrollPane4`
`private javax.swing.JScrollPane` | `jScrollPane7`
`private javax.swing.JScrollPane` | `jScrollPane8`
`private javax.swing.JTabbedPane` | `jTabbedPane1`
`private javax.swing.JTextArea` | `jTextArea1`
`private javax.swing.JTextArea` | `jTextArea2`
`private javax.swing.JTextArea` | `jTextArea5`
`private javax.swing.JToggleButton` | `jToggleButton1`
`private javax.swing.JPanel` | `mainPanel`
`private javax.swing.JMenuBar` | `menuBar`
`private javax.swing.Timer` | `messageTimer`
`private java.lang.String` | `name`
`private javax.swing.JLabel` | `statusAnimationLabel`
`private javax.swing.JLabel` | `statusMessageLabel`
`private javax.swing.JPanel` | `statusPanel`
`private vychoziTest` | `test1`
`private uzivatelskyTest` | `test2`

Constructor Summary
`RootView(org.jdesktop.application.SingleFrameApplication app)`

Method Summary
`private void` | `initComponents()` This method is called from within the constructor to initialize the form.
`private void` | `jButton1ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jButton2ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jButton5ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jComboBox1PropertyChange(java.beans.PropertyChangeEvent evt)`
`private void` | `jComboBox1Setting()`
`private void` | `jComboBox2PropertyChange(java.beans.PropertyChangeEvent evt)`
`private void` | `jComboBox3PropertyChange(java.beans.PropertyChangeEvent evt)`
`private void` | `jComboBox4PropertyChange(java.beans.PropertyChangeEvent evt)`
`private void` | `jComboBox7PropertyChange(java.beans.PropertyChangeEvent evt)`
`private void` | `jCheckBox12ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox2ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox3ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jCheckBox6ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jMenuItem1ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jMenuItem2ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jRadioButton10ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jRadioButton3ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jRadioButton9ActionPerformed(java.awt.event.ActionEvent evt)`
`private void` | `jTextArea1MouseClicked(java.awt.event.MouseEvent evt)`
`private void` | `jTextArea5MouseClicked(java.awt.event.MouseEvent evt)`
`private void` | `jToggleButton1ActionPerformed(java.awt.event.ActionEvent evt)`
`void` | `showAboutBox()`

Methods inherited from class org.jdesktop.application.FrameView
`getFrame, getRootPane, setFrame`

Methods inherited from class org.jdesktop.application.View
`getApplication, getComponent, getContext, getMenuBar, getResourceMap, getStatusBar, getToolBar, getToolBars, setComponent, setMenuBar, setStatusBar, setToolBar, setToolBars`

Methods inherited from class org.jdesktop.application.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, getPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buttonGroup1

    private javax.swing.ButtonGroup buttonGroup1

### buttonGroup2

    private javax.swing.ButtonGroup buttonGroup2

### buttonGroup3

    private javax.swing.ButtonGroup buttonGroup3

### jButton1

    private javax.swing.JButton jButton1

### jButton2

    private javax.swing.JButton jButton2

### jButton5

    private javax.swing.JButton jButton5

### jCheckBox1

    private javax.swing.JCheckBox jCheckBox1

### jCheckBox10

    private javax.swing.JCheckBox jCheckBox10

### jCheckBox12

    private javax.swing.JCheckBox jCheckBox12

### jCheckBox2

    private javax.swing.JCheckBox jCheckBox2

### jCheckBox3

    private javax.swing.JCheckBox jCheckBox3

### jCheckBox4

    private javax.swing.JCheckBox jCheckBox4

### jCheckBox6

    private javax.swing.JCheckBox jCheckBox6

### jCheckBox7

    private javax.swing.JCheckBox jCheckBox7

### jCheckBox8

    private javax.swing.JCheckBox jCheckBox8

### jCheckBox9

    private javax.swing.JCheckBox jCheckBox9

### jComboBox1

    private javax.swing.JComboBox jComboBox1

### jComboBox2

    private javax.swing.JComboBox jComboBox2

### jComboBox3

    private javax.swing.JComboBox jComboBox3

### jComboBox4

    private javax.swing.JComboBox jComboBox4

### jComboBox5

    private javax.swing.JComboBox jComboBox5

### jComboBox7

    private javax.swing.JComboBox jComboBox7

### jLabel1

    private javax.swing.JLabel jLabel1

### jLabel10

    private javax.swing.JLabel jLabel10

### jLabel11

    private javax.swing.JLabel jLabel11

### jLabel15

    private javax.swing.JLabel jLabel15

### jLabel16

    private javax.swing.JLabel jLabel16

### jLabel2

    private javax.swing.JLabel jLabel2

### jLabel22

    private javax.swing.JLabel jLabel22

### jLabel25

    private javax.swing.JLabel jLabel25

### jLabel28

    private javax.swing.JLabel jLabel28

### jLabel3

    private javax.swing.JLabel jLabel3

### jLabel34

    private javax.swing.JLabel jLabel34

### jLabel37

    private javax.swing.JLabel jLabel37

### jLabel4

    private javax.swing.JLabel jLabel4

### jLabel5

    private javax.swing.JLabel jLabel5

### jLabel6

    private javax.swing.JLabel jLabel6

### jLabel7

    private javax.swing.JLabel jLabel7

### jLabel8

    private javax.swing.JLabel jLabel8

### jLabel9

    private javax.swing.JLabel jLabel9

### jMenuItem1

    private javax.swing.JMenuItem jMenuItem1

### jMenuItem2

    private javax.swing.JMenuItem jMenuItem2

### jPanel1

    private javax.swing.JPanel jPanel1

### jPanel10

    private javax.swing.JPanel jPanel10

### jPanel15

    private javax.swing.JPanel jPanel15

### jPanel16

    private javax.swing.JPanel jPanel16

### jPanel17

    private javax.swing.JPanel jPanel17

### jPanel19

    private javax.swing.JPanel jPanel19

### jPanel2

    private javax.swing.JPanel jPanel2

### jPanel20

    private javax.swing.JPanel jPanel20

### jPanel3

    private javax.swing.JPanel jPanel3

### jPanel4

    private javax.swing.JPanel jPanel4

### jPanel5

    private javax.swing.JPanel jPanel5

### jPanel6

    private javax.swing.JPanel jPanel6

### jPanel7

    private javax.swing.JPanel jPanel7

### jPanel8

    private javax.swing.JPanel jPanel8

### jPanel9

    private javax.swing.JPanel jPanel9

### jRadioButton1

    private javax.swing.JRadioButton jRadioButton1

### jRadioButton10

    private javax.swing.JRadioButton jRadioButton10

### jRadioButton2

    private javax.swing.JRadioButton jRadioButton2

### jRadioButton3

    private javax.swing.JRadioButton jRadioButton3

### jRadioButton4

    private javax.swing.JRadioButton jRadioButton4

### jRadioButton5

    private javax.swing.JRadioButton jRadioButton5

### jRadioButton9

    private javax.swing.JRadioButton jRadioButton9

### jScrollPane1

    private javax.swing.JScrollPane jScrollPane1

### jScrollPane2

    private javax.swing.JScrollPane jScrollPane2

### jScrollPane4

    private javax.swing.JScrollPane jScrollPane4

### jScrollPane7

    private javax.swing.JScrollPane jScrollPane7

### jScrollPane8

    private javax.swing.JScrollPane jScrollPane8

### jTabbedPane1

    private javax.swing.JTabbedPane jTabbedPane1

### jTextArea1

    private javax.swing.JTextArea jTextArea1

### jTextArea2

    private javax.swing.JTextArea jTextArea2

### jTextArea5

    private javax.swing.JTextArea jTextArea5

### jToggleButton1

    private javax.swing.JToggleButton jToggleButton1

### mainPanel

    private javax.swing.JPanel mainPanel

### menuBar

    private javax.swing.JMenuBar menuBar

### statusAnimationLabel

    private javax.swing.JLabel statusAnimationLabel

### statusMessageLabel

    private javax.swing.JLabel statusMessageLabel

### statusPanel

    private javax.swing.JPanel statusPanel

### messageTimer

    private final javax.swing.Timer messageTimer

### busyIconTimer

    private final javax.swing.Timer busyIconTimer

### idleIcon

    private final javax.swing.Icon idleIcon

### busyIcons

    private final javax.swing.Icon[] busyIcons

### busyIconIndex

    private int busyIconIndex

### test1

    private vychoziTest test1

### test2

    private uzivatelskyTest test2

### file

    public java.io.File file

### file2

    public java.io.File file2

### blockSize

    public int blockSize

### directory

    public java.lang.String directory

### name

    private java.lang.String name

### block

    private BlockSizeSetting block

### aboutBox

    private javax.swing.JDialog aboutBox

Constructor Detail

### RootView

    public RootView(org.jdesktop.application.SingleFrameApplication app)

Method Detail

### showAboutBox

    @Action
    public void showAboutBox()

### initComponents

    private void initComponents()

  This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.

### jToggleButton1ActionPerformed

    private void jToggleButton1ActionPerformed(java.awt.event.ActionEvent evt)

### jRadioButton3ActionPerformed

    private void jRadioButton3ActionPerformed(java.awt.event.ActionEvent evt)

### jRadioButton9ActionPerformed

    private void jRadioButton9ActionPerformed(java.awt.event.ActionEvent evt)

### jRadioButton10ActionPerformed

    private void jRadioButton10ActionPerformed(java.awt.event.ActionEvent evt)

### jButton1ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt)

### jTextArea1MouseClicked

    private void jTextArea1MouseClicked(java.awt.event.MouseEvent evt)

### jMenuItem1ActionPerformed

    private void jMenuItem1ActionPerformed(java.awt.event.ActionEvent evt)

### jComboBox2PropertyChange

    private void jComboBox2PropertyChange(java.beans.PropertyChangeEvent evt)

### jComboBox3PropertyChange

    private void jComboBox3PropertyChange(java.beans.PropertyChangeEvent evt)

### jComboBox4PropertyChange

    private void jComboBox4PropertyChange(java.beans.PropertyChangeEvent evt)

### jButton2ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt)

### jCheckBox12ActionPerformed

    private void jCheckBox12ActionPerformed(java.awt.event.ActionEvent evt)

### jButton5ActionPerformed

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt)

### jMenuItem2ActionPerformed

    private void jMenuItem2ActionPerformed(java.awt.event.ActionEvent evt)

### jTextArea5MouseClicked

    private void jTextArea5MouseClicked(java.awt.event.MouseEvent evt)

### jCheckBox1ActionPerformed

    private void jCheckBox1ActionPerformed(java.awt.event.ActionEvent evt)

### jCheckBox2ActionPerformed

    private void jCheckBox2ActionPerformed(java.awt.event.ActionEvent evt)

### jCheckBox3ActionPerformed

    private void jCheckBox3ActionPerformed(java.awt.event.ActionEvent evt)

### jCheckBox6ActionPerformed

    private void jCheckBox6ActionPerformed(java.awt.event.ActionEvent evt)

### jComboBox7PropertyChange

    private void jComboBox7PropertyChange(java.beans.PropertyChangeEvent evt)

### jComboBox1PropertyChange

    private void jComboBox1PropertyChange(java.beans.PropertyChangeEvent evt)

### jComboBox1Setting

    private void jComboBox1Setting()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD